# Uses of Interface
org.springframework.http.server.PathContainer.Element

Packages that use PathContainer.Element
Package
Description
org.springframework.http.server
Contains an abstraction over server-side HTTP.

## Uses of PathContainer.Element in org.springframework.http.server

Subinterfaces of PathContainer.Element in org.springframework.http.server
Modifier and Type
Interface
Description
`static interface`
`PathContainer.PathSegment`
Path segment element.
`static interface`
`PathContainer.Separator`
Path separator element.
Methods in org.springframework.http.server that return types with arguments of type PathContainer.Element
Modifier and Type
Method
Description
`List<PathContainer.Element>`
PathContainer.`elements()`
The contained path elements, either `PathContainer.Separator` or `PathContainer.PathSegment`.